昨日、gcc-3.0.2のインストール方法を伺ったものです.
私がインストールしなければならなかったVerは2.95.2でした…
何度も申し訳ないのですが、もしこのVerのインストールに関して
御存知の方がいらっしゃれば教えて頂けないかと思っております.

このVerをインストールする前にVer2.8~を入れておかなければ
ならないとチョットだけ耳にしました.
このVer2.8~というのはいくつを指すのでしょうか?
合わせてこれをダウンロードできるHPも教えて頂けたら有難いです.

また、これに合わせて一緒に入れておいたほうがよいソフトなども
合ったら教えて下さい.

どうか宜しくお願い致します.

このQ&Aに関連する最新のQ&A

A 回答 (6件)

ありゃ、他人の回答とか読んでなかったら、あれって感じのことを質問されてますね。



> ライブラリとはどのような働きをするものなのでしょうか?

コンパイラとかでは、実行ファイルだけあってもなかなか動作をさせるのが
大変なんです。
C言語では、この文字列を表示させなさい、というコードとして
printf("Hello World!\n");
なんて書きますけど、なにも(ライブラリとか)ない状態だとこの
printf関数を自分で作ってあげる必要があります。
しかし、普通使うだろうと思われる関数(先の例でいえばprintf)は、
先にそのコンパイラを提供している人たちが作って、コンパイラに
付属させています。それがライブラリです。
なので、ライブラリがないと、そのライブラリを必要とする処理系(C conpilerとか、Fortranとか)
でプログラムを組むのが大変だとか、ほぼ無理(中身をきちんと細部まで知ってれば
組めるかもしれないけど、普通のコンパイラユーザだと無理かな?)と言って
いいんじゃないか? ってことになります。

> これはgcc本体とは別にどこかからダウンロードできたりするもの
> なのでしょうか?

これは状況によります。
DarkMoonさんが言っているライブラリがどんなものなのか僕も把握できてないので、
彼が言ってるものがどういうものだ、って言及はできませんが、一般的なものは
gccのパッケージに同梱されています。
ただ、新しいソフトをなにかしらインストールする場合、~~ってライブラリを
先にインストールしてね、ってREADMEとかに書いてあることがあるので、それを
使う場合は新しくライブラリを追加する必要がありますね。
ImageMagickだったかな? 画像処理系のソフトパッケージ郡があるんですけど、
それにはjpegとかtiff用のライブラリが要求されていたと思います。それは
gccのパッケージに入っていないので、どこぞのftpサイトからDLしてきて
インストールする必要があるわけですね。だから、なにか他人が作ったパッケージをインストールする場合、そのREADMEを
読んでなにが必要? ってことを理解する必要があるし、自分がプログラムを
組む場合、それを組むときに標準ライブラリ以外になにか必要? とか調べる必要が
あるわけです。ただ、自分でプログラムを組む場合、標準ライブラリで事足りる
ことが多いので、なんとも言えないんですけどね。DarkMoonさんが言ってるのは
gccだけを素直に使いましょう、っていう使い方じゃなさそうだし。
(gccってSpecCとかサポートしてなかったと思うんだけど、この辺自信なし。)


> それとも諦めるしかないのでしょうか?
この辺も状況次第なのでなんとも言えないですね。
まず、あなたがなにをしたいのか(gccをどう使いたいのか)がわかんないので、
僕が言ってたのはとりあえず標準ライブラリだけでよさそうだからそのことだけ
アドバイスすればよいかな? って思って回答してました。
多分、HPのものを使ってるってことは会社で使ってるってことですよね?
その辺、それを入れてね、って指示した人と相談して、標準ライブラリだけで
いいのか、それともなにかしらのライブラリが必要になるのか、一般的に
出回ってるライブラリではどうにもならないから自分で作る必要があるのか
(うちの会社は組み込み系のミドルウェアとか作ってるので、自分たちで
ライブラリを作ることも多々ある。作ったソフトのテストをするための
ライブラリとかも作ってるし。もっともgcc以外のコンパイラをつかってますけど)、
その辺見極めてください。
よくわかんなかったら、とりあえず標準ライブラリを入れて(先の回答の
とおりにインストールするといっしょに標準ライブラリがインストールされるはず)、
あとあと追加インストールするって感じにすればよいかと思います。
ただ、業務でそれをやる必要がある場合、時間との兼ね合いもありますので、
上司に適時指示を仰ぐ必要もあるので、うまく立ち回ってくださいね。
    • good
    • 0
この回答へのお礼

三び御丁寧な御回答を頂きまして誠にありがとうございます.

なるほど、そういうことなのですか.
ライブラリの意味.そして改めてREADMEの重要さを知りました.
御察しの通り会社でHPを使用しており、勉強を兼ねてNW監視Soft
をインストールするように言われておりました.
swinstallが上手くいかず、上司に指示を仰いだところ、gccが
入っていないからじゃない?入れてみてと言われ、そのgccが入
れられず途方にくれていました.

その上、技術者としての在り方まで御教授頂き、本当に頭が上
がらない思いで一杯です.
こんなに親切に教えて頂ける方がいらっしゃると言う事に本当に
感謝しております.

大切な御時間を割いて頂きまして誠にありがとうございました.

お礼日時:2001/11/19 18:15

> 確かにmakeしたときのエラーにCCのフォルダがないみたいに


> 書かれていた気がします.こんな時はどのように対処すればいいのでしょうか?

とりあえず、自分の環境にあった内容で、すでにコンパイルされたものが提供
されている場合があるので、それを探すのが簡単かな? と思います。
ある程度知識が深まれば、それをインストールするにはなにが必要? ってことの
みきわめができるようになるので(本来READMEとかに書いてあるから、読めるように
なりなさいってことだけどね)、それを集めてきてインストールできるように
なるんじゃないか? と思います。
さらに次のステップでは自分でハックする(自分の環境に対応してなくても、
対応させられるようにする)ってところまで行けば最高じゃないですかね?
自分も幸せになれるし、それをフィードバックすればみんなも幸せになるし。

>>HP版のgccのVer.2.95.2のバイナリ
> とはどういった働きをするものなのでしょうか?これがないとVer.2.95.2
> は入れられないという事になってしまうのでしょうか?
バイナリの意味がわかんないってことでしょうか?
WindowsとかMacのソフトって、一般的にコンパイルされたものが供給されてますよね?
UNIX系のソフトでも、一部そういうものが出回ってます。それがバイナリ配布と
呼ばれる供給方法(コンパイル言語とか、アセンブリ言語でかかれたものって
動作するプログラムはバイナリ形式のファイルになってますよね?)です。
それによって提供されてるものをバイナリ(ようは、コンパイルとかしなくても
動作する状態のものが提供される)と呼ばれるものです。
ただ、アーカイバなどで固めてあるものが多いので、それを解凍したり、
ちゃんと動かせるようにインストールしてあげる必要があります。
先の参考URLで紹介したページの1番目、2番目の項目をやってね、って書いたのは、
HP/UXとかだと、多分なんにもしてない状態ではgzipとか入ってないから1番を
やってね、実際のgccをインストールするのが2番目の項目だよって書いたつもりだったんです。だから、2番目の項目を実行すれば、コンパイルとか一切
しないでgccの実行環境ができちゃうってことなんです(gccのバイナリってのは
そのままで動作するgccそのものってことなんで、それをインストールしちゃえば
他のことはあんまり考えなくてgccが動くはず)。


とりあえず、がんばってください。
    • good
    • 0
この回答へのお礼

再び御丁寧な御回答を頂きまして誠にありがとうございます.

なるほど、バイナリファイルの意味がやっと理解出来ました.
そしてREADMEはチャント読まなければならないものなんですね…
そんな大切な事が書かれているとは知りませんでした…
(正直Windowsインストール後のREADME位にしか思ってたん
 ですよね…)
以後、頑張って読むようにしたいと思います.

>さらに次のステップでは自分でハックする(自分の環境に対応してなくても、
>対応させられるようにする)ってところまで行けば最高じゃないですかね?
>自分も幸せになれるし、それをフィードバックすればみんなも幸せになるし。
そうですよね、私も未熟ながら技術者の端くれとしてその様に
在れたらと思っております.
頑張って勉強を進めたいと思います.

本当にありがとうございました.

お礼日時:2001/11/19 17:58

ライブラリの事はよく分かってないんです。


今週初めにSolarisに初めて触った初心者ですので。

プログラムを実行するときに、特定のファイルが無い為に
実行できないエラーがあったので、その特定のファイルの
名前を、検索エンジンで検索をかけたら、

ver2.95.2に一緒にパッケージされているという情報が手に入り、
DLした次第です。

お互いがんばりましょう・・・
    • good
    • 0
この回答へのお礼

再び御回答頂きまして誠にありがとうございます.

その様な事があるのですね.
私も色々と試してみたいと思います.

私も何方かの質問に回答出来る位になれるように頑張ります.
本当にありがとうございました.

お礼日時:2001/11/19 17:46

GNUサイトからは情報は得られなかったようですね。


役にたてずにすみません。

No.2の方が、バージョンは新しい方がいいとおっしゃっていますし
基本的にはその通りだと思いますが、私の場合は、
ver2.95.2にしかついてこないらしいライブラリが必要だったので
新しくても、古くても駄目でした。

SystemC or SpecCといった、論理回路の設計をC++言語を
拡張した言語でしてしまおうという、使い方をするには、
このバージョンにしか入ってないライブラリが必要みたいです。
こういうケースもあるらしいということですので。。。
    • good
    • 0
この回答へのお礼

再度、御回答頂きまして誠にありがとうございます.

>GNUサイトからは情報は得られなかったようですね。
>役にたてずにすみません。
とんでもないです.教えて頂いたこと非常に感謝しております.

>ver2.95.2にしかついてこないらしいライブラリが必要だったので
>新しくても、古くても駄目でした。
ライブラリとはどのような働きをするものなのでしょうか?
これはgcc本体とは別にどこかからダウンロードできたりするもの
なのでしょうか?
それとも諦めるしかないのでしょうか?

私の勉強不足のために愚問?を繰り返してしまいすみません.
もし御時間があれば御回答頂けないでしょうか?
宜しくお願い致します.

お礼日時:2001/11/16 11:28

SunのものにしろHPのものにしろ、普通はそれぞれのメーカ(? sunとかHP)が作った


CCがインストールされているので、そのCCを使ってgccはコンパイルできなかったと
思います。

さて、mada-yu-jiさんが必要とされているものはHP用のgccなわけですね?
参考URLの1、2(gzipのインストールと、gccのインストール)をやれば
gccはインストールできるようです(Ver.2.95.2でOKなんですよね?)
Ver.2.8などを必要とする...ってのは、gccはgccでコンパイルされることを
期待してるんじゃないっけ?(ちょっと今それが書いてある文献を探しきれませんでした。)
なので、そのOS用に配布されている一番新しいgccを持ってきて、それより新しい
版(Ver.2.95.3とかありますよね? 今は。それにVer.3系も出始めてるし)を
コンパイルしましょうということです。なので、その話を聞いたのは、きっと
HP版のgccのVer.2.95.2のバイナリがまだ配布されてないなかったときのお話な
わけです(もしくは、それを教えてくれた人がVer.2.8の情報までしかしいれて
なかった)。

HP系のOSは、ちゃんと触ったことがないので、swinstallとかの使い方までは
知りませんけど(参考URLでは、それを使ってインストールしなさい、と書いてある)、
その辺はHP/UXのマニュアルを参照してください。

参考URL:http://doc.mediadesign.co.jp/php_manual/install. …
    • good
    • 0
この回答へのお礼

御回答頂きまして誠にありがとうございました.
非常に勉強になり、感謝しております.

>SunのものにしろHPのものにしろ、普通はそれぞれのメーカ(? sunとかHP)
>が作ったCCがインストールされているので、そのCCを使ってgccはコンパイ
>ルできなかったと思います。
そうなんですか…確かにmakeしたときのエラーにCCのフォルダがないみたいに
書かれていた気がします.こんな時はどのように対処すればいいのでしょうか?

>参考URLの1、2(gzipのインストールと、gccのインストール)をやれば
>gccはインストールできるようです(Ver.2.95.2でOKなんですよね?)
はい.Ver.2.95.2をインストールしたいと思っております.それでgzipは入れら
れたのですが、またしてもgccが入れられませんでした.勉強不足で恐縮なのです
が、ここに言われた
>HP版のgccのVer.2.95.2のバイナリ
とはどういった働きをするものなのでしょうか?これがないとVer.2.95.2
は入れられないという事になってしまうのでしょうか?

御手数で申し訳ないのですが合わせて教えて頂けないでしょうか?
どうか宜しくお願い致します.

お礼日時:2001/11/16 11:04

私も、昨日同じ事を色々と試行錯誤しました。



solaris用のでしょうか?それでしたら、FTPサーバーから
DLできます。

他のは分かりません・・・。

FTPサーバーについては、SunFreewareだったかな、
そこにあります。今、DLに使ったマシンが使えないので
確認ができませんが、有名なサイトだと思います。
GNUからリンクでいけた気します。
    • good
    • 0
この回答へのお礼

早速、御回答頂きましてありがとうございます.

私が使用したいOSを書き忘れていました.すみません.
OSはHP-UX11iです.
教えて頂いたGNUに行ってみました.
英語ばかりで私にはチョット難しかったです…
一応、頑張って見てみたのですが私が知りたかった
Ver2.95.2情報を見つける事が出来ませんでした.
私が見つけられないだけで本当は載っているのでしょうか?

それはそうと、DarkMoonさんは上手くインストールできましたか?
私はmakeの途中で
cpp:"proj.h",line 35:error 4052:Unknown preprocessing directive
とエラーになってしまい上手くいきません.
このエラーにはどのように対処したら良いのでしょうか?

もし御存知でしたら教えて頂けないでしょうか?
どうか宜しくお願い致します.

お礼日時:2001/11/15 16:43

このQ&Aに関連する人気のQ&A

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング

おすすめ情報

カテゴリ